/******************************************************************************************************
 * (C) 2014 markummitchell@github.com. This file is part of Engauge Digitizer, which is released      *
 * under GNU General Public License version 2 (GPLv2) or (at your option) any later version. See file *
 * LICENSE or go to gnu.org/licenses for details. Distribution requires prior written permission.     *
 ******************************************************************************************************/

#ifndef DOCUMENT_SERIALIZE_H
#define DOCUMENT_SERIALIZE_H

#include <QString>

extern const QString DOCUMENT_SERIALIZE_APPLICATION;
extern const QString DOCUMENT_SERIALIZE_APPLICATION_VERSION_NUMBER;
extern const QString DOCUMENT_SERIALIZE_APPLICATION;
extern const QString DOCUMENT_SERIALIZE_AXES_CHECKER;
extern const QString DOCUMENT_SERIALIZE_AXES_CHECKER_LINE_COLOR;
extern const QString DOCUMENT_SERIALIZE_AXES_CHECKER_MODE;
extern const QString DOCUMENT_SERIALIZE_AXES_CHECKER_SECONDS;
extern const QString DOCUMENT_SERIALIZE_AXES_POINTS_REQUIRED;
extern const QString DOCUMENT_SERIALIZE_BOOL_FALSE;
extern const QString DOCUMENT_SERIALIZE_BOOL_TRUE;
extern const QString DOCUMENT_SERIALIZE_CMD;
extern const QString DOCUMENT_SERIALIZE_CMD_ADD_POINT_AXIS;
extern const QString DOCUMENT_SERIALIZE_CMD_ADD_POINT_GRAPH;
extern const QString DOCUMENT_SERIALIZE_CMD_ADD_POINTS_GRAPH;
extern const QString DOCUMENT_SERIALIZE_CMD_ADD_SCALE;
extern const QString DOCUMENT_SERIALIZE_CMD_COPY;
extern const QString DOCUMENT_SERIALIZE_CMD_CUT;
extern const QString DOCUMENT_SERIALIZE_CMD_DELETE;
extern const QString DOCUMENT_SERIALIZE_CMD_DESCRIPTION;
extern const QString DOCUMENT_SERIALIZE_CMD_EDIT_POINT_AXIS;
extern const QString DOCUMENT_SERIALIZE_CMD_EDIT_POINT_GRAPH;
extern const QString DOCUMENT_SERIALIZE_CMD_MEDIATOR;
extern const QString DOCUMENT_SERIALIZE_CMD_MOVE_BY;
extern const QString DOCUMENT_SERIALIZE_CMD_REDO_FOR_TEST;
extern const QString DOCUMENT_SERIALIZE_CMD_SELECT_COORD_SYSTEM;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_AXES_CHECKER;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_COLOR_FILTER;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_COORDS;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_CURVE_LIST;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_CURVE_PROPERTIES;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_DIGITIZE_CURVE;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_EXPORT;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_GENERAL;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_GRID_DISPLAY;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_GRID_REMOVAL;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_POINT_MATCH;
extern const QString DOCUMENT_SERIALIZE_CMD_SETTINGS_SEGMENTS;
extern const QString DOCUMENT_SERIALIZE_CMD_TYPE;
extern const QString DOCUMENT_SERIALIZE_CMD_UNDO_FOR_TEST;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_FOREGROUND_HIGH;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_FOREGROUND_LOW;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_HUE_HIGH;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_HUE_LOW;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_INTENSITY_HIGH;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_INTENSITY_LOW;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_MODE;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_MODE_STRING;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_SATURATION_HIGH;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_SATURATION_LOW;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_VALUE_HIGH;
extern const QString DOCUMENT_SERIALIZE_COLOR_FILTER_VALUE_LOW;
extern const QString DOCUMENT_SERIALIZE_COMMON;
extern const QString DOCUMENT_SERIALIZE_COORD_SYSTEM;
extern const QString DOCUMENT_SERIALIZE_COORDS;
extern const QString DOCUMENT_SERIALIZE_COORDS_ORIGIN_RADIUS;
extern const QString DOCUMENT_SERIALIZE_COORDS_SCALE_X_THETA;
extern const QString DOCUMENT_SERIALIZE_COORDS_SCALE_X_THETA_STRING;
extern const QString DOCUMENT_SERIALIZE_COORDS_SCALE_Y_RADIUS;
extern const QString DOCUMENT_SERIALIZE_COORDS_SCALE_Y_RADIUS_STRING;
extern const QString DOCUMENT_SERIALIZE_COORDS_TYPE;
extern const QString DOCUMENT_SERIALIZE_COORDS_TYPE_STRING;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_DATE;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_DATE_STRING;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_RADIUS;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_RADIUS_STRING;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_THETA;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_THETA_STRING;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_TIME;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_TIME_STRING;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_X;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_X_STRING;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_Y;
extern const QString DOCUMENT_SERIALIZE_COORDS_UNITS_Y_STRING;
extern const QString DOCUMENT_SERIALIZE_CSV;
extern const QString DOCUMENT_SERIALIZE_CURVE;
extern const QString DOCUMENT_SERIALIZE_CURVE_NAME;
extern const QString DOCUMENT_SERIALIZE_CURVE_POINTS;
extern const QString DOCUMENT_SERIALIZE_CURVES_ENTRY;
extern const QString DOCUMENT_SERIALIZE_CURVES_ENTRY_CURVE_NAME_CURRENT;
extern const QString DOCUMENT_SERIALIZE_CURVES_ENTRY_CURVE_NAME_ORIGINAL;
extern const QString DOCUMENT_SERIALIZE_CURVES_ENTRY_NUM_POINTS;
extern const QString DOCUMENT_SERIALIZE_CURVES_GRAPHS;
extern const QString DOCUMENT_SERIALIZE_CURVE_STYLE;
extern const QString DOCUMENT_SERIALIZE_CURVE_STYLES;
extern const QString DOCUMENT_SERIALIZE_DIGITIZE_CURVE;
extern const QString DOCUMENT_SERIALIZE_DIGITIZE_CURVE_CURSOR_INNER_RADIUS;
extern const QString DOCUMENT_SERIALIZE_DIGITIZE_CURVE_CURSOR_LINE_WIDTH;
extern const QString DOCUMENT_SERIALIZE_DIGITIZE_CURVE_CURSOR_SIZE;
extern const QString DOCUMENT_SERIALIZE_DIGITIZE_CURVE_CURSOR_STANDARD_CROSS;
extern const QString DOCUMENT_SERIALIZE_DOCUMENT;
extern const QString DOCUMENT_SERIALIZE_EDIT_GRAPH_IDENTIFIERS;
extern const QString DOCUMENT_SERIALIZE_EDIT_GRAPH_IS_X;
extern const QString DOCUMENT_SERIALIZE_EDIT_GRAPH_IS_Y;
extern const QString DOCUMENT_SERIALIZE_EDIT_GRAPH_X;
extern const QString DOCUMENT_SERIALIZE_EDIT_GRAPH_Y;
extern const QString DOCUMENT_SERIALIZE_ERROR;
extern const QString DOCUMENT_SERIALIZE_ERROR_COMMENT;
extern const QString DOCUMENT_SERIALIZE_ERROR_CONTEXT;
extern const QString DOCUMENT_SERIALIZE_ERROR_FILE;
extern const QString DOCUMENT_SERIALIZE_ERROR_LINE;
extern const QString DOCUMENT_SERIALIZE_ERROR_REPORT;
extern const QString DOCUMENT_SERIALIZE_EXPORT;
extern const QString DOCUMENT_SERIALIZE_EXPORT_CURVE_NAME_NOT_EXPORTED;
extern const QString DOCUMENT_SERIALIZE_EXPORT_CURVE_NAME_NOT_EXPORTED_NAME;
extern const QString DOCUMENT_SERIALIZE_EXPORT_CURVE_NAMES_NOT_EXPORTED;
extern const QString DOCUMENT_SERIALIZE_EXPORT_DELIMITER;
extern const QString DOCUMENT_SERIALIZE_EXPORT_DELIMITER_OVERRIDE_CSV_TSV;
extern const QString DOCUMENT_SERIALIZE_EXPORT_DELIMITER_STRING;
extern const QString DOCUMENT_SERIALIZE_EXPORT_EXTRAPOLATE_OUTSIDE_ENDPOINTS;
extern const QString DOCUMENT_SERIALIZE_EXPORT_HEADER;
extern const QString DOCUMENT_SERIALIZE_EXPORT_HEADER_STRING;
extern const QString DOCUMENT_SERIALIZE_EXPORT_LAYOUT_FUNCTIONS;
extern const QString DOCUMENT_SERIALIZE_EXPORT_LAYOUT_FUNCTIONS_STRING;
extern const QString DOCUMENT_SERIALIZE_EXPORT_POINTS_INTERVAL_FUNCTIONS;
extern const QString DOCUMENT_SERIALIZE_EXPORT_POINTS_INTERVAL_RELATIONS;
extern const QString DOCUMENT_SERIALIZE_EXPORT_POINTS_INTERVAL_UNITS_FUNCTIONS;
extern const QString DOCUMENT_SERIALIZE_EXPORT_POINTS_INTERVAL_UNITS_RELATIONS;
extern const QString DOCUMENT_SERIALIZE_EXPORT_POINTS_SELECTION_FUNCTIONS;
extern const QString DOCUMENT_SERIALIZE_EXPORT_POINTS_SELECTION_FUNCTIONS_STRING;
extern const QString DOCUMENT_SERIALIZE_EXPORT_POINTS_SELECTION_RELATIONS;
extern const QString DOCUMENT_SERIALIZE_EXPORT_POINTS_SELECTION_RELATIONS_STRING;
extern const QString DOCUMENT_SERIALIZE_EXPORT_X_LABEL;
extern const QString DOCUMENT_SERIALIZE_FILE;
extern const QString DOCUMENT_SERIALIZE_FILE_IMPORTED;
extern const QString DOCUMENT_SERIALIZE_FILTER;
extern const QString DOCUMENT_SERIALIZE_GENERAL;
extern const QString DOCUMENT_SERIALIZE_GENERAL_CURSOR_SIZE;
extern const QString DOCUMENT_SERIALIZE_GENERAL_EXTRA_PRECISION;
extern const QString DOCUMENT_SERIALIZE_GENERAL_ZOOM_CONTROL;
extern const QString DOCUMENT_SERIALIZE_GRAPH_X;
extern const QString DOCUMENT_SERIALIZE_GRAPH_X_AFTER;
extern const QString DOCUMENT_SERIALIZE_GRAPH_X_BEFORE;
extern const QString DOCUMENT_SERIALIZE_GRAPH_Y;
extern const QString DOCUMENT_SERIALIZE_GRAPH_Y_AFTER;
extern const QString DOCUMENT_SERIALIZE_GRAPH_Y_BEFORE;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_COLOR;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_COLOR_STRING;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_COUNT_X;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_COUNT_Y;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_DISABLE_X;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_DISABLE_Y;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_STABLE;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_START_X;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_START_Y;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_STEP_X;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_STEP_Y;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_STOP_X;
extern const QString DOCUMENT_SERIALIZE_GRID_DISPLAY_STOP_Y;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_CLOSE_DISTANCE;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_COORD_DISABLE_X;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_COORD_DISABLE_X_STRING;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_COORD_DISABLE_Y;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_COORD_DISABLE_Y_STRING;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_COUNT_X;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_COUNT_Y;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_DEFINED_GRID_LINES;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_STABLE;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_START_X;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_START_Y;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_STEP_X;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_STEP_Y;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_STOP_X;
extern const QString DOCUMENT_SERIALIZE_GRID_REMOVAL_STOP_Y;
extern const QString DOCUMENT_SERIALIZE_HTML;
extern const QString DOCUMENT_SERIALIZE_IDENTIFIER;
extern const QString DOCUMENT_SERIALIZE_IDENTIFIER1;
extern const QString DOCUMENT_SERIALIZE_IDENTIFIER_NAME;
extern const QString DOCUMENT_SERIALIZE_IDENTIFIERS;
extern const QString DOCUMENT_SERIALIZE_IMAGE;
extern const QString DOCUMENT_SERIALIZE_IMAGE_HEIGHT;
extern const QString DOCUMENT_SERIALIZE_IMAGE_WIDTH;
extern const QString DOCUMENT_SERIALIZE_LINE_STYLE;
extern const QString DOCUMENT_SERIALIZE_LINE_STYLE_COLOR;
extern const QString DOCUMENT_SERIALIZE_LINE_STYLE_COLOR_STRING;
extern const QString DOCUMENT_SERIALIZE_LINE_STYLE_CONNECT_AS;
extern const QString DOCUMENT_SERIALIZE_LINE_STYLE_CONNECT_AS_STRING;
extern const QString DOCUMENT_SERIALIZE_LINE_STYLE_CURVE_NAME;
extern const QString DOCUMENT_SERIALIZE_LINE_STYLE_WIDTH;
extern const QString DOCUMENT_SERIALIZE_MAIN_WINDOW;
extern const QString DOCUMENT_SERIALIZE_OPERATING_SYSTEM;
extern const QString DOCUMENT_SERIALIZE_OPERATING_SYSTEM_ENDIAN;
extern const QString DOCUMENT_SERIALIZE_OPERATING_SYSTEM_WORD_SIZE;
extern const QString DOCUMENT_SERIALIZE_ORDINAL;
extern const QString DOCUMENT_SERIALIZE_ORDINAL1;
extern const QString DOCUMENT_SERIALIZE_POINT;
extern const QString DOCUMENT_SERIALIZE_POINT_IDENTIFIER;
extern const QString DOCUMENT_SERIALIZE_POINT_IDENTIFIER_INDEX;
extern const QString DOCUMENT_SERIALIZE_POINT_IDENTIFIER_NAME;
extern const QString DOCUMENT_SERIALIZE_POINT_IDENTIFIERS;
extern const QString DOCUMENT_SERIALIZE_POINT_IDENTIFIER_VALUE;
extern const QString DOCUMENT_SERIALIZE_POINT_IS_AXIS_POINT;
extern const QString DOCUMENT_SERIALIZE_POINT_IS_X_ONLY;
extern const QString DOCUMENT_SERIALIZE_POINT_MATCH;
extern const QString DOCUMENT_SERIALIZE_POINT_MATCH_POINT_SIZE;
extern const QString DOCUMENT_SERIALIZE_POINT_MATCH_COLOR_ACCEPTED;
extern const QString DOCUMENT_SERIALIZE_POINT_MATCH_COLOR_ACCEPTED_STRING;
extern const QString DOCUMENT_SERIALIZE_POINT_MATCH_COLOR_CANDIDATE;
extern const QString DOCUMENT_SERIALIZE_POINT_MATCH_COLOR_CANDIDATE_STRING;
extern const QString DOCUMENT_SERIALIZE_POINT_MATCH_COLOR_REJECTED;
extern const QString DOCUMENT_SERIALIZE_POINT_MATCH_COLOR_REJECTED_STRING;
extern const QString DOCUMENT_SERIALIZE_POINT_ORDINAL;
extern const QString DOCUMENT_SERIALIZE_POINT_POSITION_SCREEN;
extern const QString DOCUMENT_SERIALIZE_POINT_POSITION_GRAPH;
extern const QString DOCUMENT_SERIALIZE_POINTS;
extern const QString DOCUMENT_SERIALIZE_POINT_STYLE;
extern const QString DOCUMENT_SERIALIZE_POINT_STYLE_COLOR;
extern const QString DOCUMENT_SERIALIZE_POINT_STYLE_COLOR_STRING;
extern const QString DOCUMENT_SERIALIZE_POINT_STYLE_CURVE_NAME;
extern const QString DOCUMENT_SERIALIZE_POINT_STYLE_LINE_WIDTH;
extern const QString DOCUMENT_SERIALIZE_POINT_STYLE_RADIUS;
extern const QString DOCUMENT_SERIALIZE_POINT_STYLE_SHAPE;
extern const QString DOCUMENT_SERIALIZE_POINT_STYLE_SHAPE_STRING;
extern const QString DOCUMENT_SERIALIZE_POINT_X;
extern const QString DOCUMENT_SERIALIZE_POINT_Y;
extern const QString DOCUMENT_SERIALIZE_SCALE_LENGTH;
extern const QString DOCUMENT_SERIALIZE_SCREEN_X;
extern const QString DOCUMENT_SERIALIZE_SCREEN_X1;
extern const QString DOCUMENT_SERIALIZE_SCREEN_X_DELTA;
extern const QString DOCUMENT_SERIALIZE_SCREEN_Y;
extern const QString DOCUMENT_SERIALIZE_SCREEN_Y1;
extern const QString DOCUMENT_SERIALIZE_SCREEN_Y_DELTA;
extern const QString DOCUMENT_SERIALIZE_SEGMENTS;
extern const QString DOCUMENT_SERIALIZE_SEGMENTS_FILL_CORNERS;
extern const QString DOCUMENT_SERIALIZE_SEGMENTS_LINE_COLOR;
extern const QString DOCUMENT_SERIALIZE_SEGMENTS_LINE_COLOR_STRING;
extern const QString DOCUMENT_SERIALIZE_SEGMENTS_LINE_WIDTH;
extern const QString DOCUMENT_SERIALIZE_SEGMENTS_MIN_LENGTH;
extern const QString DOCUMENT_SERIALIZE_SEGMENTS_POINT_SEPARATION;
extern const QString DOCUMENT_SERIALIZE_TRANSFORM_DEFINED;

#endif // DOCUMENT_SERIALIZE_H
